Morph subclass: #ArrowMorph
	instanceVariableNames: 'lineWidth '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ArrowMorph Lesson'!

!ArrowMorph methodsFor: 'initialization' stamp: 'mu 5/31/2004 19:58'!
initialize
	super initialize.
	lineWidth _ 1.
! !


!ArrowMorph methodsFor: 'drawing' stamp: 'mu 5/31/2004 19:58'!
drawOn: aCanvas
	aCanvas line: self topCenter to: self bottomCenter width: lineWidth color: self color.
	aCanvas line: self topCenter to: self leftCenter width: lineWidth color: self color.
	aCanvas line: self topCenter to: self rightCenter width: lineWidth color: self color.
! !


!ArrowMorph methodsFor: 'geometry' stamp: 'mu 5/31/2004 19:19'!
outerBounds
	^super outerBounds expandBy: 5
! !


!ArrowMorph methodsFor: 'stepping' stamp: 'mu 5/31/2004 19:57'!
step
	self color: Color random.
	lineWidth _ lineWidth + 1.
	lineWidth > 5 ifTrue: [lineWidth _ 1].
! !

!ArrowMorph methodsFor: 'stepping' stamp: 'mu 5/31/2004 19:22'!
stepTime
	^200
! !
