Object subclass: #Account
	instanceVariableNames: 'id money '
	classVariableNames: 'IdCount '
	poolDictionaries: ''
	category: 'Bank Application'!

!Account methodsFor: 'initialization' stamp: 'mu 5/29/2004 01:25'!
init
	id _ IdCount.
	money _ 0.
! !


!Account methodsFor: 'services' stamp: 'mu 5/25/2004 17:22'!
deposit: newMoney
	money _ money + newMoney.
! !

!Account methodsFor: 'services' stamp: 'mu 5/25/2004 17:22'!
getBalance
	^money
! !


!Account methodsFor: 'accessing' stamp: 'mu 5/29/2004 01:22'!
id: newId
	id _ newId.
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Account class
	instanceVariableNames: ''!

!Account class methodsFor: 'class initialization' stamp: 'mu 5/29/2004 01:24'!
init
	IdCount _ 0
! !


!Account class methodsFor: 'instance creation' stamp: 'mu 5/29/2004 01:25'!
new
	IdCount _ IdCount + 1. "クラス変数 IdCountを増加"
	^super new init!]lang[(29 5 8 3 18)0,5,0,5,0! !


Account subclass: #FixedAccount
	instanceVariableNames: 'months '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bank Application'!

!FixedAccount methodsFor: 'initialization' stamp: 'mu 5/29/2004 01:26'!
init
	super init.
	months _ 6.
! !
