'From SqueakNihongo6.1 of 15 April 2004 [latest update: #0] on 5 June 2004 at 7:59:26 pm'!
"Change Set:		Mole Attack Board
Date:			5 June 2004
Author:			Masashi Umezawa

モグラたたきゲームの拡張。2匹のモグラが出てきます。
このチェンジセットの前にMole Attack(1).stをファイルインしておいてください。
"!]lang[(79 13 1 12 1 12 17 17 2)0,5,0,5,0,5,0,5,0!

Morph subclass: #MoleAttackBoardMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mole Attack'!

!MoleAttackBoardMorph methodsFor: 'initialization' stamp: 'mu 6/5/2004 18:38'!
initLayout
	self changeTableLayout.
	self listDirection: #leftToRight.
	self hResizing: #shrinkWrap.
	self vResizing: #shrinkWrap.
	2 timesRepeat: [self addMorph: MoleHoleMorph new].
! !

!MoleAttackBoardMorph methodsFor: 'initialization' stamp: 'mu 6/5/2004 18:39'!
initialize
	"モーフの初期化"
	super initialize.
	self initLayout
!]lang[(13 7 38)0,5,0! !

!MoleAttackBoardMorph methodsFor: 'private' stamp: 'mu 6/5/2004 18:45'!
failed
	self miss > 10
		ifTrue: [PopUpMenu inform: self score asString.
			self submorphs
				do: [:each | each isGameOver: true]]
! !

!MoleAttackBoardMorph methodsFor: 'accessing' stamp: 'mu 6/5/2004 18:43'!
miss
	^ (self submorphs
		collect: [:each | each miss]) sum
! !

!MoleAttackBoardMorph methodsFor: 'accessing' stamp: 'mu 6/5/2004 18:43'!
score
	^ (self submorphs
		collect: [:each | each score]) sum
! !


!MoleHoleMorph methodsFor: 'private' stamp: 'mu 6/5/2004 18:49'!
failed
	self color: Color yellow.	"色を黄色に"
	self playSound: 'warble'. 	"はずれたときの音を鳴らす"
	self score: self score - 5.	"スコアを5点減点"
	self miss: self miss + 1.	"ミスの回数を追加"

	(self ownerThatIsA: MoleAttackBoardMorph)
		ifNotNilDo: [:board | ^board failed].
			"オーナーがMoleAttackBoardMorphのときにはオーナーにfailedを送って抜ける"

	"5回よりもミスが多ければゲームオーバー"
	self miss > 5
		ifTrue: [self isGameOver: true.
			PopUpMenu inform: self score asString]
!]lang[(35 5 31 12 32 4 1 3 30 8 90 5 20 10 6 7 6 18 93)0,5,0,5,0,5,0,5,0,5,0,5,0,5,0,5,0,5,0! !

"Postscript: 画像を読みオープン"
"念のため画像の読み込み"
MoleHoleMorph registerAllForms.

"MoleAttackBoardをオープンする"
MoleAttackBoardMorph new openInWorld.

!]lang[(13 9 3 11 51 7 41)0,5,0,5,0,5,0!

